using Sepehr.ApiGateway.Partners.Contracts.Tour.Availability.V6.GetCheapestPrice.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Tour.Availability.V6.GetCheapestPrice.ResponseModel;
using SepehrTourApiSampleClient.BuiltinTypeExtensions;

namespace SepehrTourApiSampleClient.Availability.GetCheapestPrice.WebApi
{
    public class GetCheapestPriceApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Tour/Availability/V6/GetCheapestPrice",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
